- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- DeltaSharingTable
- Try it!
Gets a list of Delta Sharing tables available in the upstream SAP BDC source.
HTTP request
GET https://biglake.googleapis.com/deltasharing/v1alpha/{parent=projects/*/catalogs/*/shares/*/schemas/*}/tables
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The name of the schema. Format: projects/{project}/catalogs/{catalog}/shares/{delta_sharing_share}/schemas/{delta_sharing_schema} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of tables to return. The service may return fewer than this value. If unspecified, at most 50 tables will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token, received from a previous |
Request body
The request body must be empty.
Response body
Response message for the tables.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"deltaSharingTables": [
{
object ( |
| Fields | |
|---|---|
deltaSharingTables[] |
The Delta Sharing tables from the specified schema. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/bigqueryhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
biglake.namespaces.get
For more information, see the IAM documentation.
DeltaSharingTable
Represents a Delta Sharing Table.
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Identifier. The resource name. Format: projects/{project}/catalogs/{catalog}/shares/{delta_sharing_share}/schemas/{delta_sharing_schema}/tables/{delta_sharing_table} |